### File

`packages/eui/packages/components-next/src/lib/layout/eui-breadcrumb/item/breadcrumb-item.component.ts`

### Implements

`OnDestroy` `OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-breadcrumb-item`
styleUrls | `../_styles/breadcrumb-item.scss`
templateUrl | `breadcrumb-item.component.html`

### Index

###### Properties

- Public elementRef
- hasNext
- hasPrevious
- width

###### Methods

- destroy
- getNext
- getPrevious
- isLast
- onClick
- rendererIconBefore
- setNext
- setPrevious

###### Inputs

- id
- label
- link
- navigationExtras

### Constructor

`constructor(host: ElementRef<HTMLElement>, router: Router, logService: LogService, cdr: ChangeDetectorRef, elementRef: ElementRef)`

Parameters :

Name | Type | Optional
host | `ElementRef<HTMLElement>` | No
router | `Router` | No
logService | `LogService` | No
cdr | `ChangeDetectorRef` | No
elementRef | `ElementRef` | No

### Inputs

id
Type : `string`
A unique id for the breadcrumb

label
Type : `string`
The label of the breadcrumbItem. It might get truncated if it's too long.

link
Type : `string | any[]`

Commands to pass to Router#createUrlTree.

- array: commands to pass to Router#createUrlTree.
- string: shorthand for array of commands with just the string, i.e. `['/route']`
- null|undefined: Disables the link by removing the `href`

navigationExtras
Type : `NavigationExtras`
A fragment

### Methods

destroy
`destroy()`
Returns : `void`

getNext
`getNext()`
get the next breadcrumb item Returns : `EuiBreadcrumbItemComponent`

getPrevious
`getPrevious()`
get the previous breadcrumb item Returns : `EuiBreadcrumbItemComponent`

isLast
`isLast()`
Returns : `boolean`

onClick
`onClick(event: Event)`

A callback to navigate to the given link using ng-router.

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `boolean`

rendererIconBefore
`rendererIconBefore()`
Returns : `boolean`

setNext
`setNext(breadcrumbItem: EuiBreadcrumbItemComponent)`

set the next breadcrumb item

Parameters :

Name | Type | Optional | Description
breadcrumbItem | `EuiBreadcrumbItemComponent` | No | The next item to point to.

Returns : `void`

setPrevious
`setPrevious(breadcrumbItem: EuiBreadcrumbItemComponent)`

set the previous breadcrumb item

Parameters :

Name | Type | Optional | Description
breadcrumbItem | `EuiBreadcrumbItemComponent` | No | The previous item to point to.

Returns : `void`

### Properties

Public elementRef
Type : `ElementRef`

hasNext
Default value : `false`

hasPrevious
Default value : `false`

width
Type : `number`
Default value : `0`
calculated item width

# result-matching ""

# No results matching ""